#import <UIKit/UIKit.h>
#import <Sinch/Sinch.h>

#import "SINUIViewController.h"

@class SINClientMediator;

typedef enum {
  kButtonsAnswerDecline,
  kButtonsHangup,
} EButtonsBar;

@interface CallViewController : SINUIViewController

@property (nonatomic, readwrite, strong) SINClientMediator *clientMediator;

@property (nonatomic, weak) IBOutlet UILabel *remoteUsername;
@property (nonatomic, weak) IBOutlet UILabel *callStateLabel;
@property (nonatomic, weak) IBOutlet UIButton *answerButton;
@property (nonatomic, weak) IBOutlet UIButton *declineButton;
@property (nonatomic, weak) IBOutlet UIButton *endCallButton;
@property (nonatomic, weak) IBOutlet UIView *remoteVideoView;
@property (nonatomic, weak) IBOutlet UIView *localVideoView;

@property (nonatomic, readwrite, strong) NSTimer *durationTimer;

@property (nonatomic, readwrite, strong) id<SINCall> call;

- (IBAction)accept:(id)sender;
- (IBAction)decline:(id)sender;
- (IBAction)hangup:(id)sender;

@end
