#import <UIKit/UIKit.h>
#import <Sinch/Sinch.h>

#import "SINUIViewController.h"

NS_ASSUME_NONNULL_BEGIN

@class SINCallKitMediator;

typedef enum { kButtonsHangup, kButtonsWakenByCallKit } EButtonsBar;

@interface CallViewController : SINUIViewController

@property (weak, nonatomic) IBOutlet UILabel *remoteUsername;
@property (weak, nonatomic) IBOutlet UILabel *callStateLabel;
@property (weak, nonatomic) IBOutlet UIButton *endCallButton;
@property (weak, nonatomic) IBOutlet UIView *remoteVideoView;
@property (weak, nonatomic) IBOutlet UIView *localVideoView;
@property (weak, nonatomic) IBOutlet UILabel *connectingLabel;

@property (nonatomic, readwrite, strong) SINCallKitMediator *callKitMediator;
@property (nonatomic, readwrite, strong) NSTimer *_Nullable durationTimer;
@property (nonatomic, readwrite, strong) id<SINCall> call;

- (IBAction)hangup:(id)sender;

@end

NS_ASSUME_NONNULL_END
