#import <UIKit/UIKit.h>

@class SINCallKitMediator;

NS_ASSUME_NONNULL_BEGIN

@interface MainViewController : UIViewController

@property (nonatomic, readwrite, weak) IBOutlet UITextField *destination;
@property (nonatomic, readwrite, weak) IBOutlet UIButton *callButton;
@property (nonatomic, readwrite, weak) IBOutlet UIButton *logoutButton;
@property (nonatomic, readwrite, weak) IBOutlet UILabel *notificationLabel;
@property (nonatomic, readwrite, strong) SINCallKitMediator *callKitMediator;

- (IBAction)call:(UIButton *)sender;
- (IBAction)logout:(UIButton *)sender;

@end

NS_ASSUME_NONNULL_END
